---
layout: comparison_page
trial_bar: true
title: GitLab compared to other tools
description: "This page compares the features of GitLab software to non-GitLab software. Review the pros and cons of each to help make your decision easier."
suppress_header: true
image_title: '/images/comparison/title_image.png'
extra_css:
  - compared.css
  - release-posts.css
extra_js:
  - comparison.js
  - bootstrap-tooltip.js
---
-# key_one is always the GL product
- product_two = data.features.competitors[key_two]

- comparison_block_key = "#{key_one}_vs_#{key_two}".tr('-', '_')
- comparison_block = data.features.comparisons[comparison_block_key]

= partial "includes/comparison_filter", locals: { key_one: key_one, key_two: key_two }

%h1.titles-comparison-companies.text-center
  = product_two.name + " vs GitLab"
.container
  .row
    .col-md-10.col-md-offset-1
      - if comparison_block && comparison_block.summary.present?
        %p
          = markdown(comparison_block.summary)
      %br
          
%table.compare-table.comparing-gitlab
  %colgroup
    %col{:width => "80%"}
    %col{:width => "10%"}
    %col{:width => "10%"}
  %thead
    %tr
      %th.text-left.table-title
        FEATURES
      %th.text-center.table-title-logo
        - if (product_two.logo != "null")
          %img{ src: "#{product_two.logo}", alt: "#{product_two.name}", class: "logo" }
        - else
          = product_two.name
      %th.text-center.table-title-logo
        %img{ src: "/images/comparison/gitlab-logo.svg", alt: "GitLab", class: "logo" }
  %tbody.header.first
    - data.features.features.each do |feature|
      - shared_feature = (feature.public_send(key_two) != nil && feature.public_send(key_one) != nil)
      - if shared_feature
        %tr
          %td.feature-in-list
            %p.feature-in-list-title.feature-contents
              %strong= feature.title
              - if feature.gitlab_ultimate
                = partial "includes/features/badges", locals: { tier_hash: serialize_tier_hash(feature), gitlab_com: feature.gitlab_com, is_dark: true }
            %p
              = kramdown(feature.description)
            %p
              = link_to feature.link_description, feature.link
          %td.check-container.text-center
            - if (feature.public_send(key_two) == "partially")
              = partial "includes/icons/comparison/maybe-icon.svg"
            - if (feature.public_send(key_two) == true)
              = partial "includes/icons/comparison/yes-icon.svg"
            - if (feature.public_send(key_two) == false)
              = partial "includes/icons/comparison/no-icon.svg"
          %td.check-container.text-center
            - feature_support = feature.public_send(key_one)
            - if (feature_support == "partially")
              = partial "includes/icons/comparison/maybe-icon.svg"
            - if (feature_support == true)
              = partial "includes/icons/comparison/yes-icon.svg"
            - if (feature_support == false)
              = partial "includes/icons/comparison/no-icon.svg"

// Get the pdf name from the HTML link
- if comparison_block && comparison_block.link.present?
  - pdf_name = comparison_block.link.split('/').last.sub('html', 'pdf')

.last-updated-section
  %p.clearfix
    - if (comparison_block && comparison_block.pdf.present? && comparison_block.pdf == true)
      = link_to "Download as PDF", "/comparison/pdfs/#{pdf_name}", class: "featured-item-button pull-right", download: "Comparison PDF", target: "_blank"
  %p
    Since GitLab fans wrote most of the text here there is a pro-GitLab bias. Nonetheless we try hard to ensure the
    comparisons are fair and factual. Please also add things that are great in other products but missing in GitLab.
    If you find something that is invalid, biased, missing, or out of date in the comparisons, please open a merge request
    for this website to correct it. As with all the pages on this website you can find where this page lives in the
    repository via the link in the footer.
